import { a as QueryParamsOptions, A as Adapter } from '../../types-Cewx0UBF.cjs';
import 'valibot';
import 'zod';

interface BrowserAdapterOptions extends Pick<QueryParamsOptions, "windowObj"> {
    /**
     * If `true`, the browser URL will be updated using
     * {@linkcode History.replaceState}, otherwise the browser URL will be
     * updated using {@linkcode History.pushState}
     *
     * @default false
     */
    replace?: boolean;
}
/**
 * Browser only adapter, does nothing when on the server
 */
declare function browser(options?: BrowserAdapterOptions): Adapter;

export { type BrowserAdapterOptions, browser };
